LOADEXTERNAL(1)

NAME
loadexternal - Runs TPM2_LoadExternal

DESCRIPTION
--version-string=v1045 is not a valid option

loadexternal

Runs TPM2_LoadExternal

    [-hi hierarchy (e, o, p, n) (default NULL)] [-nalg name hash algorithm (sha1, sha256, sha384) (default sha256)] [-halg (sha1, sha256, sha384) (default sha256)] [Asymmetric Key Algorithm]

    [-rsa (default)] [-ecc curve (uses NIST P-256)]

-ipu TPM2B_PUBLIC public key file name

-ipem PEM format public key file name

-ider DER format RSA plaintext key pair file name

    [-si signing (default)] [-st storage]

--version is not a valid option

loadexternal

Runs TPM2_LoadExternal

    [-hi hierarchy (e, o, p, n) (default NULL)] [-nalg name hash algorithm (sha1, sha256, sha384) (default sha256)] [-halg (sha1, sha256, sha384) (default sha256)] [Asymmetric Key Algorithm]

    [-rsa (default)] [-ecc curve (uses NIST P-256)]

-ipu TPM2B_PUBLIC public key file name

-ipem PEM format public key file name

-ider DER format RSA plaintext key pair file name

    [-si signing (default)] [-st storage]

SEE ALSO
The full documentation for loadexternal is maintained as a Texinfo manual. If the info and loadexternal programs are properly installed at your site, the command

    info loadexternal

should give you access to the complete manual.